## fdb 2.0.0

=== requirements.txt ===
future>=0.16.0
sphinx-bootstrap-theme==0.6.5

=== sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ../docs
	@echo
	@echo "Build finished. The HTML pages are in ../docs."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p .build/json .build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) .build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## fdb 1.4.1+dfsg1

=== debian/changelog ===
fdb (1.4.1+dfsg1-4) unstable; urgency=low

  * debian/copyright: acknowledge BSD license for
    sphinx/fdbtheme/static/epub.css and
    sphinx/fdbtheme/static/fdbtheme.css_t
  * Rename repacked .orig.tar to show files have been
    removed.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 22 Oct 2014 08:50:10 +1000

fdb (1.4.1-3) unstable; urgency=low

  * Remove minified js source from source distribution as
    requested by FTP Masters.

  * Change the Licence debian/copyright to reflect reality,
    as opposed to what the author says tne licence is.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 28 Sep 2014 10:52:22 +1000

fdb (1.4.1-2) unstable; urgency=low

  * Fix python3 variant not being distributed.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 13 Aug 2014 18:42:11 +1000

fdb (1.4.1-1) unstable; urgency=low

  * Initial release.  closes: #696950

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 24 Jun 2014 21:22:41 +1000

=== debian/control ===
Source: fdb
Section: python
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
  python-all (>= 2.6), python3-all,
  python-sphinx, libjs-sphinxdoc,
  python-nose, python3-nose,
  python-setuptools, python3-setuptools,
  dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://pypi.python.org/pypi/fdb/

Package: python-fdb
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libfbclient2
Suggests: python-fdb-doc
Description: Python2 DB-API driver for Firebird
 FDB is a Python library package that implements Python Database API
 2.0-compliant support for the open source relational database Firebird®.
 In addition to the minimal feature set of the standard Python DB API,
 FDB also exposes nearly the entire native client API of the database
 engine.  This version installs the Python2 byte code.
 .
 FDB is a replacement for python-kinterbasdb, which is no longer
 maintained by upstream.

Package: python3-fdb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libfbclient2
Suggests: python-fdb-doc
Description: Python3 DB-API driver for Firebird
 FDB is a Python library package that implements Python Database API
 2.0-compliant support for the open source relational database Firebird®.
 In addition to the minimal feature set of the standard Python DB API,
 FDB also exposes nearly the entire native client API of the database
 engine.  This version installs the Python3 byte code.
 .
 FDB is a replacement for python-kinterbasdb, which is no longer
 maintained by upstream.

Package: python-fdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-sphinxdoc
Recommends: python-fdb
Description: Python DB-API driver for Firebird documentation
 FDB is a Python library package that implements Python Database API
 2.0-compliant support for the open source relational database Firebird®.
 In addition to the minimal feature set of the standard Python DB API,
 FDB also exposes nearly the entire native client API of the database
 engine.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=fdb
DOC_PACKAGE=python-$(PYBUILD_NAME)-doc
DOC_DIR=usr/share/doc/$(DOC_PACKAGE)/html

%:
	#dh $@ -v --with python2,python3,sphinxdoc --buildsystem=pybuild
	dh "$@" -v --with python2,python3 --buildsystem=pybuild

get-orig-source:
	uscan --force-download

override_dh_auto_build:
	dh_auto_build
	rm -rf docs
	$(MAKE) --directory sphinx html
	rm -rf html
	mv docs html

override_dh_installdocs:
	dh_installdocs $(DH_INTERNAL_OPTIONS) --no-package=$(DOC_PACKAGE) README
	dh_installdocs $(DH_INTERNAL_OPTIONS) --package=$(DOC_PACKAGE) html
	dh_sphinxdoc $(DH_INTERNAL_OPTIONS) --package=$(DOC_PACKAGE) $(DOC_DIR)
	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)

#
# A bit of a kludge to work around upstream shipping a prebuilt docs
# directory.  We want to build our own so we can be 100% certain
# the shipped .js files come from Debian's python-sphinx's package.
#
override_dh_clean:
	dh_clean $(DH_INTERNAL_OPTIONS)
	[ ! -d $(PYBUILD_NAME).egg-info.orig ] || { rm -rf $(PYBUILD_NAME).egg-info; mv $(PYBUILD_NAME).egg-info.orig $(PYBUILD_NAME).egg-info; }
	$(MAKE) --directory sphinx clean
	rm -rf html debian/missing-sources

override_dh_auto_install:
	[ ! -d $(PYBUILD_NAME).egg-info -o -d $(PYBUILD_NAME).egg-info.orig ] || mv $(PYBUILD_NAME).egg-info $(PYBUILD_NAME).egg-info.orig
	dh_auto_install $(DH_INTERNAL_OPTIONS)

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
  http://pypi.python.org/packages/source/f/fdb/ fdb-([0-9.]+)\.tar\.gz

## fdb 1.4.9+dfsg1

=== debian/changelog ===
fdb (1.4.9+dfsg1-2) unstable; urgency=low

  * Fix uscan.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu, 13 Aug 2015 21:49:08 +1000

fdb (1.4.9+dfsg1-1) unstable; urgency=low

  * New upstream version.

  * Remove python-nose dependency so dh-python doesn't run nose.
    closes: 794128

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 11 Aug 2015 16:45:29 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends-Indep:
   python-all (>= 2.6), python3-all,
   python-sphinx, libjs-sphinxdoc,
-  python-nose, python3-nose,
   python-setuptools, python3-setuptools,
   dh-python
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -31,12 +31,15 @@
 # directory.  We want to build our own so we can be 100% certain
 # the shipped .js files come from Debian's python-sphinx's package.
 #
-override_dh_clean:
-	dh_clean $(DH_INTERNAL_OPTIONS)
+override_dh_auto_clean: $(PYBUILD_NAME).egg-info.orig
+	dh_auto_clean
+	$(MAKE) --directory sphinx clean
 	[ ! -d $(PYBUILD_NAME).egg-info.orig ] || { rm -rf $(PYBUILD_NAME).egg-info; mv $(PYBUILD_NAME).egg-info.orig $(PYBUILD_NAME).egg-info; }
-	$(MAKE) --directory sphinx clean
 	rm -rf html debian/missing-sources
 
-override_dh_auto_install:
+override_dh_auto_install: $(PYBUILD_NAME).egg-info.orig
+	dh_auto_install $(DH_INTERNAL_OPTIONS)
+
+
+$(PYBUILD_NAME).egg-info.orig:
 	[ ! -d $(PYBUILD_NAME).egg-info -o -d $(PYBUILD_NAME).egg-info.orig ] || mv $(PYBUILD_NAME).egg-info $(PYBUILD_NAME).egg-info.orig
-	dh_auto_install $(DH_INTERNAL_OPTIONS)

## fdb 1.6+dfsg1

=== debian/changelog ===
fdb (1.6+dfsg1-1) unstable; urgency=low

  * Get rid of bad $(DH_INTERNAL_OPTIONS) in rules.  Closes: 831940
  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 24 Jul 2016 19:52:54 +1000

## fdb 1.6.1+dfsg1

=== debian/changelog ===
fdb (1.6.1+dfsg1-1) unstable; urgency=low

  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue,  6 Dec 2016 16:56:00 +1000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   python-sphinx, libjs-sphinxdoc,
   python-setuptools, python3-setuptools,
   dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: https://pypi.python.org/pypi/fdb/

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,9 @@
 	mv docs html
 
 override_dh_installdocs:
-	dh_installdocs $(DH_INTERNAL_OPTIONS) --no-package=$(DOC_PACKAGE) README
-	dh_installdocs $(DH_INTERNAL_OPTIONS) --package=$(DOC_PACKAGE) html
-	dh_sphinxdoc $(DH_INTERNAL_OPTIONS) --package=$(DOC_PACKAGE) $(DOC_DIR)
+	dh_installdocs --no-package=$(DOC_PACKAGE) README
+	dh_installdocs --package=$(DOC_PACKAGE) html
+	dh_sphinxdoc --package=$(DOC_PACKAGE) $(DOC_DIR)
 	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)
 
 #
@@ -38,7 +38,7 @@
 	rm -rf html debian/missing-sources
 
 override_dh_auto_install: $(PYBUILD_NAME).egg-info.orig
-	dh_auto_install $(DH_INTERNAL_OPTIONS)
+	dh_auto_install
 
 
 $(PYBUILD_NAME).egg-info.orig:

## fdb 2.0.0

=== debian/changelog ===
fdb (2.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936508

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Dec 2019 22:53:40 -0500

fdb (2.0.0-1) unstable; urgency=low

  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  7 Feb 2019 20:43:34 +1000

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep:
-  python-all (>= 2.6), python3-all,
-  python-sphinx, libjs-sphinxdoc,
-  python-setuptools, python3-setuptools,
+  python3-all,
+  python3-sphinx, python3-sphinx-bootstrap-theme,
+  python3-setuptools,
+  libjs-sphinxdoc,
   dh-python
 Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.0
 Homepage: https://pypi.python.org/pypi/fdb/
-
-Package: python-fdb
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libfbclient2
-Suggests: python-fdb-doc
-Description: Python2 DB-API driver for Firebird
- FDB is a Python library package that implements Python Database API
- 2.0-compliant support for the open source relational database Firebird®.
- In addition to the minimal feature set of the standard Python DB API,
- FDB also exposes nearly the entire native client API of the database
- engine.  This version installs the Python2 byte code.
- .
- FDB is a replacement for python-kinterbasdb, which is no longer
- maintained by upstream.
 
 Package: python3-fdb
 Architecture: all
@@ -45,7 +30,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, libjs-sphinxdoc
-Recommends: python-fdb
+Recommends: python3-fdb
 Description: Python DB-API driver for Firebird documentation
  FDB is a Python library package that implements Python Database API
  2.0-compliant support for the open source relational database Firebird®.

=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,23 @@
 
 %:
 	#dh $@ -v --with python2,python3,sphinxdoc --buildsystem=pybuild
-	dh "$@" -v --with python2,python3 --buildsystem=pybuild
+	dh "$@" -v --with python3 --buildsystem=pybuild
 
 get-orig-source:
 	uscan --force-download
 
-override_dh_auto_build:
+override_dh_auto_build: $(PYBUILD_NAME).egg-info.orig
 	dh_auto_build
 	rm -rf docs
-	$(MAKE) --directory sphinx html
+	$(MAKE) --directory sphinx html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 	rm -rf html
 	mv docs html
 
+override_dh_auto_test:
+	# Test doesn't work without root.
+
 override_dh_installdocs:
-	dh_installdocs --no-package=$(DOC_PACKAGE) README
+	dh_installdocs --no-package=$(DOC_PACKAGE) README.rst
 	dh_installdocs --package=$(DOC_PACKAGE) html
 	dh_sphinxdoc --package=$(DOC_PACKAGE) $(DOC_DIR)
 	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)
@@ -35,7 +38,7 @@
 	dh_auto_clean
 	$(MAKE) --directory sphinx clean
 	[ ! -d $(PYBUILD_NAME).egg-info.orig ] || { rm -rf $(PYBUILD_NAME).egg-info; mv $(PYBUILD_NAME).egg-info.orig $(PYBUILD_NAME).egg-info; }
-	rm -rf html debian/missing-sources
+	rm -rf html debian/missing-sources .eggs
 
 override_dh_auto_install: $(PYBUILD_NAME).egg-info.orig
 	dh_auto_install

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
  http://pypi.debian.net/fdb/fdb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fdb 2.0.1

=== debian/changelog ===
fdb (2.0.1-2) unstable; urgency=medium

  * QA upload
  * Set maintainer to Debian QA group
  * Drop Python 2 again (was reintroduced in 2.0.1-1) (Closes: #936508)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 05 Aug 2020 23:30:22 +0200

fdb (2.0.1-1) unstable; urgency=low

  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 21 Apr 2020 21:20:34 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fdb
 Section: python
-Maintainer: Russell Stuart <russell-debian@stuart.id.au>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep:
   python3-all,
   python3-sphinx, python3-sphinx-bootstrap-theme,
   python3-setuptools,
-  libjs-sphinxdoc,
+  libjs-sphinxdoc, fonts-glyphicons-halflings,
+  libjs-bootstrap, libjs-sphinxdoc,
   dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/fdb/
 
 Package: python3-fdb
@@ -29,7 +30,10 @@
 Package: python-fdb-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-sphinxdoc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends},
+ fonts-glyphicons-halflings,
+ libjs-bootstrap,
+ libjs-sphinxdoc
 Recommends: python3-fdb
 Description: Python DB-API driver for Firebird documentation
  FDB is a Python library package that implements Python Database API

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,8 @@
 	# Test doesn't work without root.
 
 override_dh_installdocs:
-	dh_installdocs --no-package=$(DOC_PACKAGE) README.rst
-	dh_installdocs --package=$(DOC_PACKAGE) html
+	dh_installdocs README.rst
+	dh_installdocs --package=$(DOC_PACKAGE) --doc-main-package=$(DOC_PACKAGE) html
 	dh_sphinxdoc --package=$(DOC_PACKAGE) $(DOC_DIR)
 	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
  https://pypi.debian.net/fdb/fdb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fdb 5.7.0

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.12 FATAL_ERROR )

find_package( ecbuild 3.4 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)

project( fdb5 LANGUAGES C CXX )

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

########################################################################################################################
### dependencies and options

### eckit

set( PERSISTENT_NAMESPACE "eckit" CACHE INTERNAL "" ) # needed for generating .b files for persistent support

ecbuild_find_package( NAME eckit  VERSION 1.12 REQUIRED )

### GRIB support

ecbuild_find_package( NAME eccodes VERSION 2.10 REQUIRED )

ecbuild_find_package( NAME metkit VERSION 1.5 REQUIRED )

### FDB remote front-end

ecbuild_add_option( FEATURE FDB_REMOTE
                    DEFAULT ON
                    DESCRIPTION "Support distributed remote FDB" )

### FDB backend in persistent memory, i.e. pmem (NVRAM)

ecbuild_add_option( FEATURE PMEMFDB # option present in fdb5_config.h
                    DEFAULT OFF
                    DESCRIPTION "Persistent memory (NVRAM) support for FDB"
                    REQUIRED_PACKAGES "NAME pmem" )

### FDB backend in CEPH object store (using Rados)

find_package( RADOS QUIET )
ecbuild_add_option( FEATURE RADOSFDB  # option defined in fdb5_config.h
                    CONDITION eckit_HAVE_RADOS AND RADOS_FOUND
                    DEFAULT OFF
                    DESCRIPTION "Ceph/Rados support for FDB Store" )

### FDB backend in indexed filesystem with table-of-contents, i.e. TOC
### Supports Lustre parallel filesystem stripping control

ecbuild_add_option( FEATURE TOCFDB  # option defined in fdb5_config.h
                    DEFAULT ON
                    DESCRIPTION "Filesystem TOC support for FDB" )

### support for Lustre API control of file stripping

find_package( LUSTREAPI QUIET )

ecbuild_add_option( FEATURE LUSTRE  # option defined in fdb5_config.h
                    CONDITION LUSTREAPI_FOUND
                    DEFAULT ON
                    DESCRIPTION "Support for Lustre API control of file stripping " )

### experimental & sandbox features

ecbuild_add_option( FEATURE EXPERIMENTAL
                    DEFAULT OFF
                    DESCRIPTION "Experimental features" )

ecbuild_add_option( FEATURE SANDBOX
                    DESCRIPTION "build the sandbox stuff"
                    DEFAULT OFF	 )

### build the tools

ecbuild_add_option( FEATURE BUILD_TOOLS
                    DEFAULT ON
                    DESCRIPTION "Build the command line tools" )

if(HAVE_BUILD_TOOLS)
    set(_default_fdb_tools ON)
else()
    set(_default_fdb_tools OFF)
endif()

ecbuild_add_option( FEATURE FDB_BUILD_TOOLS
                    DEFAULT ${_default_fdb_tools}
                    DESCRIPTION "Build the command line FDB tools" )

### find thread library ( preferably pthreads )

set( CMAKE_THREAD_PREFER_PTHREAD 1 )
find_package(Threads REQUIRED)

### checks

# check thread library is pthreads

if( NOT ${CMAKE_USE_PTHREADS_INIT} )
	message( FATAL_ERROR "Only pthreads supported - thread library found is [${CMAKE_THREAD_LIBS_INIT}]" )
endif()

########################################################################################################################
# contents

set( fdb5_INCLUDE_DIRS  ${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_BINARY_DIR}/src )

include_directories( ${fdb5_INCLUDE_DIRS} )

set_directory_properties( PROPERTIES COMPILE_DEFINITIONS "${ECKIT_DEFINITIONS};${ECCODES_DEFINITIONS};${ODB_API_DEFINITIONS}" )

get_directory_property( fdb5_DEFINITIONS COMPILE_DEFINITIONS )

### source files

add_subdirectory( src )
add_subdirectory( tests )

### finalize

ecbuild_install_project( NAME fdb )

ecbuild_print_summary()

=== tests/CMakeLists.txt ===
# unit tests

include_directories( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

add_subdirectory( fdb )

=== src/fdb5/CMakeLists.txt ===
ecbuild_generate_config_headers( DESTINATION ${INSTALL_INCLUDE_DIR}/fdb5 )

configure_file( fdb5_config.h.in    fdb5_config.h   )
configure_file( fdb5_version.h.in   fdb5_version.h  )
configure_file( fdb5_version.c.in   fdb5_version.c   )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/fdb5_config.h
               ${CMAKE_CURRENT_BINARY_DIR}/fdb5_version.h
         DESTINATION ${INSTALL_INCLUDE_DIR}/fdb5 )

# fdb5 library

list( APPEND fdb5_srcs
    fdb5_version.c
	LibFdb5.h
	LibFdb5.cc

    api/fdb_c.cc
    api/fdb_c.h
    api/DistFDB.cc
    api/DistFDB.h
    api/FDB.cc
    api/FDB.h
    api/FDBFactory.cc
    api/FDBFactory.h
    api/FDBStats.cc
    api/FDBStats.h
    api/LocalFDB.cc
    api/LocalFDB.h
    api/RandomFDB.cc
    api/SelectFDB.cc
    api/SelectFDB.h

    api/helpers/APIIterator.h
    api/helpers/ControlIterator.cc
    api/helpers/ControlIterator.h
    api/helpers/FDBToolRequest.cc
    api/helpers/FDBToolRequest.h
    api/helpers/DumpIterator.h
    api/helpers/ListIterator.cc
    api/helpers/ListIterator.h
    api/helpers/StatusIterator.cc
    api/helpers/StatusIterator.h
    api/helpers/WipeIterator.h
    api/helpers/PurgeIterator.h
    api/helpers/StatsIterator.cc
    api/helpers/StatsIterator.h

    api/local/QueryVisitor.h
    api/local/QueueStringLogTarget.h
    api/local/ListVisitor.h
    api/local/ControlVisitor.cc
    api/local/ControlVisitor.h
    api/local/DumpVisitor.h
    api/local/WipeVisitor.cc
    api/local/WipeVisitor.h
    api/local/PurgeVisitor.cc
    api/local/PurgeVisitor.h
    api/local/StatsVisitor.cc
    api/local/StatsVisitor.h
    api/local/StatusVisitor.h

    config/Config.cc
    config/Config.h
    database/Archiver.cc
    database/Archiver.h
    database/ArchiveVisitor.cc
    database/ArchiveVisitor.h
    database/AxisRegistry.cc
    database/AxisRegistry.h
    database/BaseArchiveVisitor.cc
    database/BaseArchiveVisitor.h
    database/Catalogue.cc
    database/Catalogue.h
    database/DB.cc
    database/DB.h
    database/DataStats.cc
    database/DataStats.h
    database/DbStats.cc
    database/DbStats.h
    database/Engine.cc
    database/Engine.h
    database/EntryVisitMechanism.cc
    database/EntryVisitMechanism.h
    database/Field.cc
    database/Field.h
    database/FieldDetails.cc
    database/FieldDetails.h
    database/FieldLocation.cc
    database/FieldLocation.h
    database/UriStore.cc
    database/UriStore.h
    database/Indexer.cc
    database/Indexer.h
    database/Index.cc
    database/Index.h
    database/IndexLocation.cc
    database/IndexLocation.h
    database/IndexStats.cc
    database/IndexStats.h
    database/Inspector.cc
    database/Inspector.h
    database/StatsReportVisitor.cc
    database/StatsReportVisitor.h
    database/Store.cc
    database/Store.h
    database/PurgeVisitor.cc
    database/PurgeVisitor.h
    database/WipeVisitor.cc
    database/WipeVisitor.h
    database/IndexAxis.cc
    database/IndexAxis.h
    database/IndexFactory.cc
    database/IndexFactory.h
    database/Key.cc
    database/Key.h
    database/messageToKey.cc
    database/messageToKey.h
    database/ReadVisitor.cc
    database/ReadVisitor.h
    database/Report.cc
    database/Report.h
    database/RetrieveVisitor.cc
    database/RetrieveVisitor.h
    database/MultiRetrieveVisitor.cc
    database/MultiRetrieveVisitor.h
    database/WriteVisitor.cc
    database/WriteVisitor.h
    database/Notifier.cc
    database/Notifier.h
    database/Manager.cc
    database/Manager.h
    grib/GribArchiver.cc
    grib/GribArchiver.h
    grib/GribDecoder.cc
    grib/GribDecoder.h
    grib/GribIndexer.cc
    grib/GribIndexer.h
    io/FDBFileHandle.cc
    io/FDBFileHandle.h
    io/SingleGribMungePartFileHandle.cc
    io/SingleGribMungePartFileHandle.h
    io/LustreFileHandle.cc
    io/LustreFileHandle.h
    io/HandleGatherer.cc
    io/HandleGatherer.h
    rules/MatchAlways.cc
    rules/MatchAlways.h
    rules/MatchAny.cc
    rules/MatchAny.h
    rules/Matcher.cc
    rules/Matcher.h
    rules/MatchHidden.cc
    rules/MatchHidden.h
    rules/MatchOptional.cc
    rules/MatchOptional.h
    rules/MatchValue.cc
    rules/MatchValue.h
    rules/Predicate.cc
    rules/Predicate.h
    rules/Rule.cc
    rules/Rule.h
    rules/Schema.cc
    rules/Schema.h
    rules/SchemaParser.cc
    rules/SchemaParser.h
    tools/FDBTool.cc
    tools/FDBTool.h
    tools/FDBVisitTool.cc
    tools/FDBVisitTool.h
    types/Type.cc
    types/Type.h
    types/TypeAbbreviation.cc
    types/TypeAbbreviation.h
    types/TypeClimateDaily.cc
    types/TypeClimateDaily.h
    types/TypeClimateMonthly.cc
    types/TypeClimateMonthly.h
    types/TypeDate.cc
    types/TypeDate.h
    types/TypeDefault.cc
    types/TypeDefault.h
    types/TypeDouble.cc
    types/TypeDouble.cc
    types/TypeDouble.h
    types/TypeDouble.h
    types/TypeExpver.cc
    types/TypeExpver.h
    types/TypeGrid.cc
    types/TypeGrid.h
    types/TypeIgnore.cc
    types/TypeIgnore.h
    types/TypeInteger.cc
    types/TypeInteger.h
    types/TypeMonth.cc
    types/TypeMonth.h
    types/TypeParam.cc
    types/TypeParam.h
    types/TypesFactory.cc
    types/TypesFactory.h
    types/TypesRegistry.cc
    types/TypesRegistry.h
    types/TypeStep.cc
    types/TypeStep.h
    types/TypeTime.cc
    types/TypeTime.h
)

if(HAVE_LUSTRE)
  list( APPEND fdb5_srcs io/fdb5_lustreapi_file_create.c )
endif()

if( HAVE_TOCFDB )
    list( APPEND fdb5_srcs
        toc/AdoptVisitor.cc
        toc/AdoptVisitor.h
        toc/BTreeIndex.cc
        toc/BTreeIndex.h
        toc/Root.cc
        toc/Root.h
        toc/FieldRef.cc
        toc/FieldRef.h
        toc/FileSpaceHandler.cc
        toc/FileSpaceHandler.h
        toc/FileSpace.cc
        toc/FileSpace.h
        toc/ExpverFileSpaceHandler.cc
        toc/ExpverFileSpaceHandler.h
        toc/EnvVarFileSpaceHandler.cc
        toc/EnvVarFileSpaceHandler.h
        toc/RootManager.cc
        toc/RootManager.h
        toc/TocCommon.cc
        toc/TocCommon.h
        toc/TocCatalogue.cc
        toc/TocCatalogue.h
        toc/TocCatalogueReader.cc
        toc/TocCatalogueReader.h
        toc/TocCatalogueWriter.cc
        toc/TocCatalogueWriter.h
        toc/TocFieldLocation.cc
        toc/TocFieldLocation.h
        toc/TocHandler.cc
        toc/TocHandler.h
        toc/TocIndex.cc
        toc/TocIndex.h
        toc/TocIndexLocation.cc
        toc/TocIndexLocation.h
        toc/TocPurgeVisitor.cc
        toc/TocPurgeVisitor.h
        toc/TocWipeVisitor.cc
        toc/TocWipeVisitor.h
        toc/TocRecord.cc
        toc/TocRecord.h
        toc/TocStats.cc
        toc/TocStats.h
        toc/TocStore.cc
        toc/TocStore.h
        toc/TocEngine.cc
        toc/TocEngine.h
        )

    list( APPEND fdb5_tools
        fdb-wipe
        fdb-stats
        fdb-purge
        fdb-dump-toc
        fdb-dump-index
        fdb-reconsolidate-toc )

endif()

if( HAVE_PMEMFDB )

    list( APPEND fdb5_srcs
        pmem/DataPool.cc
        pmem/DataPool.h
        pmem/DataPoolManager.cc
        pmem/DataPoolManager.h
        pmem/MemoryBufferStream.h
        pmem/MemoryBufferStream.cc
        pmem/PBaseNode.cc
        pmem/PBaseNode.h
        pmem/PBranchingNode.cc
        pmem/PBranchingNode.h
        pmem/PDataNode.cc
        pmem/PDataNode.h
        pmem/PDataRoot.cc
        pmem/PDataRoot.h
        pmem/PIndexRoot.cc
        pmem/PIndexRoot.h
        pmem/PMemDB.cc
        pmem/PMemDB.h
        pmem/PMemDBReader.cc
        pmem/PMemDBReader.h
        pmem/PMemDBWriter.cc
        pmem/PMemDBWriter.h
        pmem/PMemFieldLocation.cc
        pmem/PMemFieldLocation.h
        pmem/PMemIndex.cc
        pmem/PMemIndex.h
        pmem/PMemIndexLocation.cc
        pmem/PMemIndexLocation.h
        pmem/PRoot.cc
        pmem/PRoot.h
        pmem/Pool.cc
        pmem/Pool.h
        pmem/PoolEntry.cc
        pmem/PoolEntry.h
        pmem/PoolGroup.cc
        pmem/PoolGroup.h
        pmem/PoolManager.cc
        pmem/PoolManager.h
        pmem/PMemStats.cc
        pmem/PMemStats.h
        pmem/PMemEngine.cc
        pmem/PMemEngine.h
    )

else()
    set( PMEM_LIBRARIES "" )
    set( PMEM_INCLUDE_DIRS "" )
endif()

if( HAVE_RADOSFDB )
    list( APPEND fdb5_srcs
        rados/RadosFieldLocation.cc
        rados/RadosFieldLocation.h
        rados/RadosStore.cc
        rados/RadosStore.h
    )
endif()

if(HAVE_FDB_REMOTE)
    list( APPEND fdb5_srcs
        api/RemoteFDB.cc
        api/RemoteFDB.h
        remote/RemoteConfiguration.h
        remote/RemoteConfiguration.cc
        remote/RemoteFieldLocation.h
        remote/RemoteFieldLocation.cc
        remote/Messages.h
        remote/Messages.cc
        remote/Handler.h
        remote/Handler.cc
        remote/AvailablePortList.cc
        remote/AvailablePortList.h
        remote/FdbServer.h
        remote/FdbServer.cc
    )
endif()

ecbuild_add_library(

    TARGET  fdb5

    SOURCES
        ${fdb5_srcs}

    GENERATED
        fdb5_version.c

    INSTALL_HEADERS LISTED

    HEADER_DESTINATION
        ${INSTALL_INCLUDE_DIR}/fdb5

    PUBLIC_INCLUDES
        $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src>
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>

    PUBLIC_LIBS
        metkit
        eckit
        eckit_option

    PRIVATE_INCLUDES
        "${PMEM_INCLUDE_DIRS}"
        "${LUSTREAPI_INCLUDE_DIRS}"

    PRIVATE_LIBS
        ${grib_handling_pkg}
        ${PMEM_LIBRARIES}
        ${LUSTREAPI_LIBRARIES}
)

if(HAVE_FDB_BUILD_TOOLS)

  list( APPEND fdb5_scripts fdb fdb-which )

  foreach( _script ${fdb5_scripts} )
    configure_file(scripts/${_script}.in ${CMAKE_BINARY_DIR}/bin/${_script} @ONLY)
    install(PROGRAMS ${CMAKE_BINARY_DIR}/bin/${_script} DESTINATION ${INSTALL_BIN_DIR} )
  endforeach()
endif()

list( APPEND fdb5_tools
    fdb-hammer
    fdb-write
    fdb-dump
    fdb-list
    fdb-patch
    fdb-read
    fdb-schema
    fdb-where
    fdb-info
    fdb-status
    fdb-lock
    fdb-unlock
)

if ( HAVE_TOCFDB )
    list(APPEND fdb5_tools
        fdb-root
        fdb-overlay
        fdb-hide
    )
endif()

foreach( _tool ${fdb5_tools} )

  ecbuild_add_executable( TARGET    ${_tool}
                          CONDITION HAVE_FDB_BUILD_TOOLS
                          SOURCES   tools/${_tool}.cc
                          INCLUDES  ${ECCODES_INCLUDE_DIRS}  # Please don't remove me, I am needed
                          LIBS      fdb5 )

endforeach()


ecbuild_add_executable( TARGET    grib2fdb5
                        CONDITION HAVE_FDB_BUILD_TOOLS
                        SOURCES   compat/grib2fdb5.cc
                        INCLUDES  ${ECCODES_INCLUDE_DIRS} # Please don't remove me, I am needed
                        LIBS      fdb5 )

ecbuild_add_executable(
        CONDITION HAVE_FDB_BUILD_TOOLS AND HAVE_FDB_REMOTE
        TARGET fdb-monitor
        SOURCES remote/fdb-monitor.cc
        LIBS eckit eckit_cmd )

ecbuild_add_executable(
        CONDITION HAVE_FDB_BUILD_TOOLS AND HAVE_FDB_REMOTE
        TARGET fdb-server
        SOURCES
            remote/fdb-server.cc
        LIBS fdb5 )

if ( HAVE_FDB_BUILD_TOOLS )
    target_sources( fdb-lock PRIVATE tools/FDBLock.cc tools/FDBLock.h )
    target_sources( fdb-unlock PRIVATE tools/FDBLock.cc tools/FDBLock.h )
endif()

=== tests/fdb/CMakeLists.txt ===
configure_file( etc/mars/wind    ${CMAKE_BINARY_DIR}/etc/mars/wind     @ONLY )

configure_file( etc/fdb/schema   ${CMAKE_BINARY_DIR}/etc/fdb/schema    @ONLY )
configure_file( etc/fdb/engines  ${CMAKE_BINARY_DIR}/etc/fdb/engines   @ONLY )

# for file based FDB
configure_file( etc/fdb/dbnames  ${CMAKE_BINARY_DIR}/etc/fdb/dbnames   @ONLY )
configure_file( etc/fdb/roots    ${CMAKE_BINARY_DIR}/etc/fdb/roots     @ONLY )
configure_file( etc/fdb/spaces   ${CMAKE_BINARY_DIR}/etc/fdb/spaces    @ONLY )

file( MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/fdb/root ) # as defined in ${CMAKE_BINARY_DIR}/etc/fdb/roots file

# for pmem based FDB
configure_file( etc/fdb/pools      ${CMAKE_BINARY_DIR}/etc/fdb/pools       @ONLY )
configure_file( etc/fdb/poolgroups ${CMAKE_BINARY_DIR}/etc/fdb/poolgroups  @ONLY )

file( MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/fdb/pool ) # as defined in ${CMAKE_BINARY_DIR}/etc/fdb/pools file

###############################################################################
# fdb unit tests

list( APPEND _test_environment
    FDB_HOME=${CMAKE_BINARY_DIR}
    ECCODES_DEFINITION_PATH=${ECCODES_DEFINITION_PATH}
    ECCODES_SAMPLES_PATH=${ECCODES_SAMPLES_PATH} )

list( APPEND fdb_tests
    test_fdb5_service.cc )

foreach( _tst ${fdb_tests} )

  get_filename_component(_tst ${_tst} NAME_WE)

  ecbuild_add_test(
      TARGET  fdb5_${_tst}
      SOURCES  ${_tst}
      INCLUDES ${ECCODES_INCLUDE_DIRS}
      ENVIRONMENT "${_test_environment}"
      LIBS  fdb5 )

endforeach()

###############################################################################
# fdb tool tests

list( APPEND _test_data
  "rd.vod.grib"
)

ecbuild_get_test_multidata( TARGET fdb5_get_test_data NAMES ${_test_data} )

foreach( _tst ${_test_data} )

    # define tool location using cmake-generator-expressions
    # see https://cmake.org/cmake/help/v3.4/manual/cmake-generator-expressions.7.html

    ecbuild_add_test(
        TARGET  fdb5_archive_${_tst}
        CONDITION HAVE_FDB_BUILD_TOOLS
        COMMAND $<TARGET_FILE:fdb-write>
        TEST_DEPENDS fdb5_get_test_data
        ARGS    ${_tst}
        ENVIRONMENT "${_test_environment}" )

      ecbuild_add_test(
          TARGET  fdb5_extract_${_tst}
          CONDITION HAVE_FDB_BUILD_TOOLS
          COMMAND $<TARGET_FILE:fdb-read>
          TEST_DEPENDS fdb5_archive_${_tst}
          ARGS   --extract ${_tst} ${_tst}.2
          ENVIRONMENT "${_test_environment}" )

endforeach()

#################################################################################
# pmem tests make use of the test environment, so are added at the end

add_subdirectory( pmem )
add_subdirectory( api )
add_subdirectory( tools )

=== tests/fdb/api/CMakeLists.txt ===
### test data files
list( APPEND fdb_api_test_data_files
x138-300.grib
x138-400.grib
y138-400.grib
)

ecbuild_get_test_multidata( TARGET get_fdb_api_test_data
                            NAMES ${fdb_api_test_data_files}
                            NOCHECK )

list( APPEND api_tests
    config
    select
    dist
    fdb_c
)

foreach( _test ${api_tests} )

    ecbuild_add_test( TARGET test_fdb5_api_${_test}
                      SOURCES test_${_test}.cc
                      TEST_DEPENDS get_fdb_api_test_data
                      LIBS fdb5)

endforeach()

=== tests/fdb/pmem/CMakeLists.txt ===
if( HAVE_PMEMFDB )

    ecbuild_add_test( TARGET test_fdb5_pmem_pdatanode
                      SOURCES test_pdatanode.cc
                      INCLUDES ${PMEM_INCLUDE_DIRS}
                      LIBS ${PMEM_LIBRARIES} fdb5
                      ENVIRONMENT "${_test_environment}")

    ecbuild_add_test( TARGET test_fdb5_pmem_pbranchingnode
                      SOURCES test_pbranchingnode.cc
                      INCLUDES ${PMEM_INCLUDE_DIRS}
                      LIBS ${PMEM_LIBRARIES} fdb5
                      ENVIRONMENT "${_test_environment}")

    ecbuild_add_test( TARGET test_fdb5_pmem_pbasenode
                      SOURCES test_pbasenode.cc
                      INCLUDES ${PMEM_INCLUDE_DIRS}
                      LIBS ${PMEM_LIBRARIES} fdb5
                      ENVIRONMENT "${_test_environment}")

    ecbuild_add_test( TARGET test_fdb5_pmem_pool_manager
                      SOURCES test_pool_manager.cc
                      INCLUDES ${PMEM_INCLUDE_DIRS}
                      LIBS ${PMEM_LIBRARIES} fdb5
                      ENVIRONMENT "${_test_environment}")

endif()

=== debian/changelog ===
fdb (5.7.0-5) unstable; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 13:25:53 +0000

fdb (5.7.0-4) unstable; urgency=medium

  * Build-dep on libodc-dev needed.  Closes: #975204
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Nov 2020 12:04:33 +0000

fdb (5.7.0-3) unstable; urgency=medium

  * Only use pmem,rados on archs they're available on

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Nov 2020 20:33:45 +0000

fdb (5.7.0-2) unstable; urgency=medium

  * B-D on libeccodes-tools, libmetkit-utils, libopenjp2-7-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2020 07:17:40 +0000

fdb (5.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #972873)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Oct 2020 16:53:46 +0000

=== debian/control ===
Source: fdb
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 ecbuild (>= 3.3.0-3),
 libeckit-dev,
 libeccodes-dev,
 libopenjp2-7-dev,
 libmetkit-dev,
 libodc-dev,
 libmetkit-utils,
 libpmem-dev [amd64 arm64 ppc64el],
 librados-dev [!hurd-i386  !kfreebsd-amd64 !kfreebsd-i386  !sh4 !ia64 !alpha !hppa ] ,
 libeccodes-tools
Standards-Version: 4.5.1
Homepage: https://github.com/ecmwf/fdb
Vcs-Browser: https://salsa.debian.org:/science-team/fdb.git
Vcs-Git: https://salsa.debian.org:/science-team/fdb.git -b debian/latest

Package: libfdb5-0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for the ECMWF Fields Database
 FDB (Fields DataBase) is a domain-specific object store developed
 at ECMWF for storing, indexing and retrieving GRIB data. 
 Each GRIB message is stored as a field and indexed trough semantic metadata
 (i.e. physical variables such as temperature, pressure, ...).
 A set of fields can be retrieved specifying a request using
 a specific language developed for accessing the MARS Archive.

Package: libfdb5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfdb5-0d (= ${binary:Version}), 
  ${misc:Depends}, libeckit-dev
Recommends: pkg-config
Description: Development files for the ECMWF Fields database
 FDB (Fields DataBase) is a domain-specific object store developed
 at ECMWF for storing, indexing and retrieving GRIB data. 
 Each GRIB message is stored as a field and indexed trough semantic metadata
 (i.e. physical variables such as temperature, pressure, ...).
 A set of fields can be retrieved specifying a request using
 a specific language developed for accessing the MARS Archive.
 .
 This package provides shared libraries and headers.

Package: fdb5
Multi-Arch: foreign
Architecture: any
Depends: libfdb5-0d ( = ${binary:Version}), 
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libfdb5-dev (= ${binary:Version})
Description: Utilities for the FDB Fields Database
 FDB (Fields DataBase) is a domain-specific object store developed
 at ECMWF for storing, indexing and retrieving GRIB data. 
 Each GRIB message is stored as a field and indexed trough semantic metadata
 (i.e. physical variables such as temperature, pressure, ...).
 A set of fields can be retrieved specifying a request using
 a specific language developed for accessing the MARS Archive.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

ARCH:=$(shell dpkg --print-architecture)
LIBDIR:=/usr/lib/${DEB_HOST_MULTIARCH}
DESTDIR:=$(CURDIR)/debian/tmp

ARCH_PMEM:= amd64 arm64 ppc64el
DO_PMEM:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_PMEM)),ON,OFF)

ARCH_NORADOS:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 sh4 ia64 alpha hppa
DO_RADOS:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_NORADOS)),OFF,ON)

# The magic debhelper  rule
%:
	dh $@ --buildsystem=ecbuild


CMAKE_CFLAGS:=  -DENABLE_RPATHS=OFF \
		-DENABLE_RELATIVE_RPATHS=OFF \
		-DENABLE_PMEMFDB=$(SO_PMEM)  \
		-DENABLE_RADOSFDB=$(DO_RADOS) \
		-DENABLE_LUSTRE=ON 

override_dh_auto_configure:
	dh_auto_configure -- \
                      ${BUILD_FLAGS}


override_dh_auto_test:
	@echo "Ignoring test failures in this build"
	dh_auto_test ||  echo "Ignoring test failures" 

override_dh_auto_install:
	dh_auto_install
